import request from '@/utils/request'

// 提交质量月报评价
export function submitComment(data) {
  return request({
    url: '/production/comment/submitComment',
    method: 'put',
    data: data
  })
}

// 查询质量月报评价详细
export function getCommentInfo(query) {
  return request({
    url: '/production/comment/getComment',
    method: 'get',
    params: query
  })
}

// 查询质量月报评价列表
export function listComment(query) {
  return request({
    url: '/production/comment/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报评价详细
export function getComment(id) {
  return request({
    url: '/production/comment/' + id,
    method: 'get'
  })
}

// 新增质量月报评价
export function addComment(data) {
  return request({
    url: '/production/comment',
    method: 'post',
    data: data
  })
}

// 修改质量月报评价
export function updateComment(data) {
  return request({
    url: '/production/comment',
    method: 'put',
    data: data
  })
}

// 删除质量月报评价
export function delComment(id) {
  return request({
    url: '/production/comment/' + id,
    method: 'delete'
  })
}

// 导出质量月报评价
export function exportComment(query) {
  return request({
    url: '/production/comment/export',
    method: 'get',
    params: query
  })
}
